---
title: RTCIceCandidatePairStats.requestsReceived
slug: Web/API/RTCIceCandidatePairStats/requestsReceived
tags:
  - API
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - request
  - requestsReceived
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} dictionary's <strong><code>requestsReceived</code></strong> property indicates the total number of {{Glossary("STUN")}} connectivity check requests that have been received so far on the connection described by this pairing of candidates.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>requestsReceived</em> = <em>rtcIceCandidatePairStats</em>.requestsReceived;</pre>

<h3 id="Value">Value</h3>

<p>An integer value which specifies the number of STUN connectivity and/or consent requests that have been received to date on the connection described by this pair of {{Glossary("ICE")}} candidates.</p>

<p>Because there's no way to tell the difference between requests made to check connectivity and requests made to check consent, the returned figure includes both.</p>

<div class="notecard note">
<p><strong>Note:</strong> The reported number of requests includes retransmissions. If a request had to be repeated due to network issues, it will be counted multiple times here. This differs from {{domxref("RTCIceCandidatePairStats.requestsSent", "requestsSent")}}, which <em>does not</em> include retransmisions.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-requestsreceived', 'RTCIceCandidatePairStats.requestsReceived') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.requestsReceived")}}</p>
